ATA_SCSI_RBUF_SET
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ATA_SCSI_RBUF_SET — helper to set values in SCSI response buffer

## Synopsis

`ATA_SCSI_RBUF_SET (` |  | idx,
|  | val`)`;

## Arguments

`idx`

  byte index into SCSI response buffer

`val`

  value to set

## Description

To be used by SCSI command simulator functions. This macros expects two local variables, u8 *rbuf and unsigned int buflen, are in scope.

## LOCKING

None.

Prev | Up | Next
ata_scsi_rbuf_fill | Home | ata_scsiop_inq_std